class WechatUser {
  private userInfo: any;
  private isMember: boolean;
  hasUserInfo: boolean;

  constructor() {
    this.userInfo = '';
    this.hasUserInfo = false;
    this.isMember = true;
  }

  getAccess() {
    return this.isMember;
  }

  getInfo() {
    return this.userInfo;
  }

  setInfo(userInfo: any) {
    this.userInfo = userInfo;
    this.hasUserInfo = true;
  }

  setAccess(isMember: boolean) {
    this.isMember = isMember;
  }
}

const wechatUser = new WechatUser();

export default wechatUser;
